Bug 82622 - Web Inspector: Implement snippet creation/renaming in ScriptsNavigator.
: Web Inspector: Implement snippet creation/renaming in ScriptsNavigator.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Vsevolod Vlasov
:
Depends on:
Blocks: 75094
  Show dependency treegraph
 
Reported: 2012-03-29 09:21 PDT by Vsevolod Vlasov
Modified: 2012-05-16 07:41 PDT (History)
11 users (show)

See Also:


Attachments
Patch (17.12 KB, patch)
2012-03-29 09:57 PDT, Vsevolod Vlasov
no flags Details | Formatted Diff | Diff
Patch (21.73 KB, patch)
2012-05-16 06:28 PDT, Vsevolod Vlasov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vsevolod Vlasov 2012-03-29 09:21:05 PDT
patch to follow
Comment 1 Vsevolod Vlasov 2012-03-29 09:57:19 PDT
Created attachment 134606 [details]
Patch
Comment 2 Pavel Feldman 2012-04-19 03:51:51 PDT
Comment on attachment 134606 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=134606&action=review

> Source/WebCore/inspector/front-end/SnippetsModel.js:283
> +WebInspector.SnippetsPresentationModel = function()

As we agreed offline, there should be no such model.
Comment 3 Vsevolod Vlasov 2012-05-16 06:28:05 PDT
Created attachment 142241 [details]
Patch
Comment 4 Vsevolod Vlasov 2012-05-16 06:40:14 PDT
Committed r117274: <http://trac.webkit.org/changeset/117274>